#### D.15.3.13 ChernRootsSum

Procedure from library `chern.lib` (see chern_lib).

Usage:
  ChernRootsSum(a, b); a, b lists of polynomials

Return:
  list of polynomials

Purpose:
  computes the Chern roots of the direct (Whitney) sum of a vector bundle with Chern roots a and a vector bundle with Chern roots b

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (a(1..3), b(1..2)), dp;
    // assume a(1), a(2), a(3) are the Chern roots of a vector bundle E
    // assume b(1), b(2) are the Chern roots of a vector bundle F
    list l=a(1..3);
    list L=b(1..2);
    // the Chern roots of their direct sum is
    print( ChernRootsSum(l, L) );
    ==> [1]:
    ==>    a(1)
    ==> [2]:
    ==>    a(2)
    ==> [3]:
    ==>    a(3)
    ==> [4]:
    ==>    b(1)
    ==> [5]:
    ==>    b(2)

User manual for Singular version 4-0-3, 2016, generated by texi2html.